import { B1listType } from '@/pages/B1ledger/data'

// 初始化状态
const initState = {
  // 列表数据
  tableInfo: {
    list: [] as B1listType[],
    total: 0
  }
}

// 定义 action 类型
type Props = {
  type: 'B1/getList'
  payload: { list: B1listType[]; total: number }
}

// reducer
export default function userReducer(state = initState, action: Props) {
  switch (action.type) {
    // 获取列表数据
    case 'B1/getList':
      return { ...state, tableInfo: action.payload }

    default:
      return state
  }
}
